Bug 983238 - Network configuration does not show new settings
Network configuration does not show new settings
Status: CLOSED DUPLICATE of bug 1018471
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 15:15 EDT by Mark Hamzy
Modified: 2014-05-26 11:02 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-26 11:02:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Hamzy 2013-07-10 15:15:28 EDT
Description of problem:
If you edit a network connection during installation, then the new settings are not shown in the main screen.

Version-Release number of selected component (if applicable):
anaconda 19.30.13-1

How reproducible:
Always

Steps to Reproduce:
1. Click on "Network Configuration."
2. Click "Configure."
3. Make changes.
4. Click "Save."
5. Notice that the new settings are not displayed.

Actual results:
The new settings are not displayed.

Expected results:
The new settings are should be displayed.

Additional info:
Comment 1 Radek Vykydal 2013-07-15 05:22:22 EDT
Can you be more specific? Note that the main screen displays current active device configuration. With "Configure", Connection Editor is run which just modifies saved configuration (connection) for the device. To apply the modified configuration, the connection/device has to be switched off and on. Does it explain your case?
Comment 2 Mark Hamzy 2013-07-15 15:39:49 EDT
Huh.  

So the user clicks configure, edits the network connection, and then clicks save.  Do you really expect the user to click Off and then click On just to see the new configuration that had already been previously saved?

So, here is a usage scenario.  System has two network cards.  When the system boots up, dhcp is used to give two temporary addresses.  However, this system has two network addresses (and hostnames) already reserved.  They just were not specified on the boot command line.  The network cards can be configured in the "Network Configuration" page.  However, the information is not shown immediately after save.
Comment 3 Radek Vykydal 2013-07-16 04:39:04 EDT
(In reply to Mark Hamzy from comment #2)
> Huh.  
> 
> So the user clicks configure, edits the network connection, and then clicks
> save.  Do you really expect the user to click Off and then click On just to
> see the new configuration that had already been previously saved?
> 

You need to switch the connection off and on to apply the saved configuration to the device.

This is how Gnome desktop network config interface (gnome-control-center) used to work as well in times when using NM Connection Editor. However, in F19, there is native g-c-c interface that seems to apply the configuration right away instead of just saving it (there is [Apply] button vs. [Save] button in Connection Editor).

Long term goal is to have common network configuration UI for Desktop and installer. A large shared part used to be Connection Editor in F18 and earlier. Unfortunately, unlike Connection Editor (which has its issues too) the new g-c-c UI seems to be hard to impossible to integrate into installer reasonably so desktop is drawing apart again...

> So, here is a usage scenario.  System has two network cards.  When the
> system boots up, dhcp is used to give two temporary addresses.  However,
> this system has two network addresses (and hostnames) already reserved. 
> They just were not specified on the boot command line.  The network cards
> can be configured in the "Network Configuration" page.  However, the
> information is not shown immediately after save.

Because it has not been applied, the current device configuration remains shown.
Comment 4 Fedora End Of Life 2013-09-16 10:28:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Radek Vykydal 2014-05-26 11:02:45 EDT

*** This bug has been marked as a duplicate of bug 1018471 ***

Note You need to log in before you can comment on or make changes to this bug.